# rtmp auth

## Usage
In a nginx rtmp config like this

```nginx
server {
  listen 1935;
  chunk_size 4096;
  application live {
    live on;
    record off;
    on_publish http://127.0.0.1:31337/auth;
    push ...;
  }
}
```

You would
```bash
RTMPAUTH_PASS="3lit3dud3" rtmpauth simple -p 31337
```

## Install

```bash
go install code.icod.de/dalu/rtmpauth@latest
mv ~/go/bin/rtmpauth /usr/local/bin/
```

systemd service
```systemd
[Unit]
Description=rtmpauth service
After=local-fs.target network.target nginx.service
Wants=nginx.service

[Service]
User=nginx
Group=nginx
Type=simple
Environment="RTMPAUTH_PASS=3lit3dud3"
ExecStart=/usr/local/bin/rtmpauth simple
Restart=on-failure
RestartSec=3s

[Install]
WantedBy=multi-user.target
```